= 2.4.0 2026-06-09 =
* [Tweak] - Upgraded Facebook Marketing API from v17.0 to v25.0 to address Meta's deprecation deadline for older API versions.
* [Performance] - Performance improvements by caching cron scheduled checks to remove duplicate DB queries.

= 2.3.9 2026-05-29 =
* [Compatibility] - Tested OK with WooCommerce 10.8.1
* [Compatibility] - Tested OK with WordPress 7.0

= 2.3.8 2026-04-21 =
* [Fix] - Replace echo esc_html_e with esc_attr_e on data-placeholder attribute
* [Compatibility] - Tested OK with WooCommerce 10.7.0
* [Compatibility] - Tested OK with WordPress 6.9.4

= 2.3.7 2026-03-05 =
* [Fix] - Facebook/insta catalog sync was not working properly
* [Fix] - PHP Fatal error: Uncaught Error: Call to a member function is_type() on false in facebook export
* [Tweak] - Added filter `wt_feed_facebook_catalog_product_checkout_link` to alter the checkout url for the facebook insta catalog sync module
* [Compatibility] - Tested OK with WooCommerce 10.5.3
* [Compatibility] - Tested OK with WordPress 6.9.1

= 2.3.6 2026-01-29 =
* [Fix] - Feed export shows empty when excluding a category in the Facebook/Instagram catalog.

= 2.3.5 2026-01-09 = 
* [Fix] - Replaced the maybe_unserialize() with our custom function 'wt_decode_data' 
* [Fix] - Category mapping dropdown was not rendering options properly.
* [Compatibility] - Tested OK with WooCommerce 10.4.3
* [Compatibility] - Tested OK with WordPress 6.9

= 2.3.4  2025-12-22 =
* [Fix] - Vulnerability. Thanks to Mrreee (Patchstack) for pointing out the issue.
* [Compatibility] - Tested OK with WooCommerce 10.4.2
* [Compatibility] - Tested OK with WordPress 6.9

= 2.3.3  2025-11-14 =
* [Fix] - Minor UI/UX Fix

= 2.3.2  2025-11-13 =
* [Fix] - Vulnerability. Thanks to Legion Hunter for pointing out the issue.
* [Compatibility] - Tested OK with WordPress 6.8.3
* [Compatibility] - Tested OK with WooCommerce 10.3.5

= 2.3.1  2025-08-19 =
* [Fix] - Issue with Stock status and Quantity value for backorders in Fruugo Feed
* [Compatibility] - Tested OK with WooCommerce 10.1.0

= 2.3.0  2025-07-10 =
* [Fix] - Revised fix for load_textdomain_just_in_time affecting plugin translations
* [Compatibility] - Tested OK with WordPress 6.8.1
* [Compatibility] - Tested OK with WooCommerce 9.9.5

= 2.2.9  2025-05-22 =
* [Fix] - Vulnerability. @domiee13 thanks for pointing out the issue.
* [Fix] - Function _load_textdomain_just_in_time issue for plugin transalations
* [Compatibility] - Tested OK with WordPress 6.8
* [Compatibility] - Tested OK with WooCommerce 9.8.5

= 2.2.8  2025-03-18 =
* [Add] - Shopmania feed support.
* [Fix] - Sale price end date issue with Facebook/Instagram catalog sync.
* [Compatibility] - Tested OK with WooCommerce 9.7.1

= 2.2.7  2025-02-05 =
* [Add] - Rakuten feed support.
* [Fix] - Product promotion ID issue with Google/Bing feed.
* [Fix] - Empty value not added to the feed.
* [Enhancement] - Google product review feed improvement.
* [Compatibility] - Tested OK with WooCommerce 9.6.1

= 2.2.6  2024-12-18 =
* [Add] - Missing field checkout_link_template in Google Shop feed.
* [Enhancement] - Remove additional unwanted attributes from the variation title.
* [Enhancement] - Translation(.pot) file update.
* [Fix] - Translation loading notice by WordPress 6.7.
* [Compatibility] - Tested OK with WooCommerce 9.4.3

= 2.2.5  2024-11-18 =
* [Enhancement] - Fruugo feed improvement.
* [Enhancement] - Google product review feed improvement.
* [Compatibility] - Tested OK with WordPress 6.7
* [Compatibility] - Tested OK with WooCommerce 9.4.1

= 2.2.4  2024-11-04 =
* [Add] - X(Twitter) channel support.
* [Add] - Yandex channel support.
* [Enhancement] - Removed option - Trash product from FB catalog.
* [Enhancement] - Google product review feed improvement.
* [Compatibility] - Tested OK with WooCommerce 9.3.3

= 2.2.3  2024-09-24 =
* [Add] - OnBuy channel support.
* [Add] - Missing fields added in Idealo feed.
* [Fix] - Private and  draft variations are included in the feed.
* [Enhancement] - Feed processing performance improvements.
* [Compatibility] - Tested OK with WooCommerce 9.3.2

= 2.2.1  2024-07-18 =
* [Add] - Leguide product feed and Google product reviews feed support.
* [Add] - Option to map 'Parent product description' in the attribute mapping drop-down.
* [Add] - Option to duplicate generated feeds.
* [Add] - Scheduled Actions page.
* [Add] - Manage additional product fields under settings.
* [Fix] - Exclude from feed option.
* [Compatibility] - Tested OK with WooCommerce 9.1.2
* [Compatibility] - Tested OK with WordPress 6.6

= 2.2.0  2024-06-03 =
* [Update] - Option to map parent_title in product attribute list.
* [Update] - Fruugo specific category mapping instead of Google category.
* [Update] - Type and select box within the attribute mapping drop-down list.
* [Add] - Fruugo category update option in category add and edit pages
* [Compatibility] - Tested OK with WooCommerce 8.9.1

= 2.1.9  2024-05-06 =
* [Add] - Add "availability date" to the product custom field list
* [Fix] - Google category mapping on feed generation is not persisting.
* [Compatibility] - Tested OK with WooCommerce 8.8.3

= 2.1.8  2024-04-29 =
* [Fix] - Filename validation improvement.
* [Add] - Support for Pinterest RSS and Heureka channels.
* [Add] - CSV file type support for Google feed.
* [Add] - Shipping label/data update for Bing feed TXT format.
* [Update] - TikTok shop rollback due to XLSX template format issue. 
* [Compatibility] - Tested OK with WooCommerce 8.8.2

= 2.1.7  2024-03-21 =
* [Fix] - Feed contains draft/orphaned variations.
* [Add] - Pagination and bulk delete option in manage feeds page.
* [Add] - Support for Fruugo and Google local inventory ads channels.
* [Add] - Option to set custom time interval for feed auto-refresh.
* [Add] - Support for popular SEO plugins ( Yoast SEO, Rank Math SEO with AI SEO Tools, All in One SEO – Best WordPress SEO Plugin – Easily Improve SEO Rankings & Increase Traffic).
* [Compatibility] - Tested OK with WooCommerce 8.7.0
* [Compatibility] - Tested OK with WordPress 6.5

= 2.1.6  2024-02-13 =
* [Fix] - FileType restrictions for channels.
* [Fix] - Price Limited to two decimal places.
* [Add] - New product block editor support for simple products and product variations.
* [Add] - Support for XLSX file format.
* [Update] - Google Product Category List.
* [Compatibility] - Tested OK with WooCommerce 8.5.2

= 2.1.5  2024-01-08 =
* [Add] - Added support for Idealo, Pricespy, Skroutz and Shopzilla channels.
* [Add] - Integration of additional variation while syncing with Facebook.
* [Fix] - Exclude category issue with Bing, TikTok, Snapchat and Pinterest channels.
* [Compatibility] - Tested OK with WooCommerce 8.4.0

= 2.1.4  2023-11-29 =
* [Add] - Added support for Pinterest, TikTok, Snapchat & Bing channels.
* [Tweak] - Display of Facebook catalog sync log message 
* [Compatibility] - Tested OK with WordPress 6.4
* [Compatibility] - Tested OK with WooCommerce 8.3.0

= 2.1.3  2023-10-27 =
* [Fix] - Product Tags contain HTML links
* [Fix] - 'Refresh Feed' button does not regenerate the feed file
* [Add] - 'Additional Variant Attributes' options for Facebook feed
* [Add] - 'Global Attributes' and 'Local Attributes' in the mapping screen
* [Compatibility] - Tested OK with WooCommerce 8.2.1

= 2.1.2  2023-09-26 =
* [Fix] - Excluded parent product while generating feed.
* [Enhancement] - Map store category with Google/Facebook categories.
* [Compatibility] - Tested OK with WooCommerce 8.1.1

= 2.1.1  2023-08-28 =
* [Compatibility] - Perfect Brands for WooCommerce with Facebook catalog sync.
* [Compatibility] - Tested OK with WooCommerce 8.0.2
* [Compatibility] - Tested OK with WordPress 6.3.

= 2.1.0  2023-07-24 =
* [Fix] - Additional data missing when syncing with Facebook catalog sync
* [Add] - Category filter-based category mapping.
* [Add] - More additional fields on the product edit page.
* [Add] - Shipping data fix for UK
* [Add] - Convert the category mapping selection mode to 'type and search'
* [Compatibility] - Tested OK with Facebook Graph API version 17.0.
* [Compatibility] - Tested OK with WooCommerce 7.9.

= 2.0.9  2023-06-23 =
* [Fix] - If the child variation description is missing add the parent description.
* [Add] - Support for static values.
* [Add] - Added compatibility with Perfect Brands WooCommerce plugin.
* [Add] - Delete products from Facebook when trashed in WooCommerce.
* [Add] - Added Google Local Inventory, Google promotion, and Buy on Google.
* [Tweak] - Combined Facebook & Google fields in the product edit page into a single tab (WebToffee Product Feed).
* [Compatibility] - Tested OK with WooCommerce 7.8.

= 2.0.8  2023-05-09 =
* [Fix] - Fatal error fix on plugin update.

= 2.0.7  2023-05-08 =
* [Add] - Action icons added to Manage feeds list page.
* [Fix] - Include product category filter not working for variations
* [Compatibility] - Tested OK with WooCommerce 7.6

= 2.0.6  2023-03-21 =
* [Add] File type column within Manage feeds list page.
* [Add] Region added in shipping details.
* [Fix] Deprecated: Creation of dynamic property in latest PHP(8.2)
* [Fix] Product category filter is not working for Cyrillic characters(Hebrew,Russian)
* Tested OK with WooCommerce 7.5

= 2.0.5  2023-02-10 =
* [Add] XML format added to product feed types
* [Fix] Price with tax not showing in the feed
* [Fix] Product feed stock availability value corrected.
* [Fix] Delete scheduled action entry when deleting feed

= 2.0.4  2023-01-27 =
* Improvements: Facebook Marketing API v15.0 update.
* Improvements: Strip all HTML tags from description and short description

= 2.0.3  2023-01-18 =
* Improvements: Country based shipping data updates in product feed.
* Improvements: Strip all HTML tags from description for Facebook products
* Improvements: Make Facebook catalog product id unique for sync and feed
* Tested OK with WooCommerce 7.3

= 2.0.2  2023-01-09 =
* Improvements: Shipping data
* Improvements: Product description type select option on FB sync
* Added hourly interval for feed refresh
* Option to add additional fields in product edit screen ( GTIN, MPN, Brand, Color, Size, Gender...etc)
* Tested OK with WooCommerce 7.2


= 2.0.1  2022-11-10 =
* Tested OK with WooCommerce 7.1
* Fixed: Error on category listing page

= 2.0.0  2022-11-08 =
* New: Support for Facebook/Instagram shop and Google shop catalog feeds.

= 1.2.2  2022-10-18 =
* Tested OK with WooCommerce 7.0

= 1.2.1  2022-08-02 =
* Tested OK with WooCommerce 6.7
* Set the product short description as default when uploading to Facebook Catalog

= 1.2.0  2022-05-26 =
* Tested OK with WordPress 6.0
* Tested OK with WooCommerce 6.5

= 1.1.9  2022-04-03 =
* Tested OK with WooCommerce 6.3

= 1.1.8 =
* Filter hook ( wt_fb_sync_product_retailer_id ) added for Product retailer id.

= 1.1.7 =
* [Compatibility] WooCommerce 6.2.
* [Compatibility] WordPress 5.9.
* Facebook Marketing API v13.0 update.

= 1.1.6 =
* [Compatibility] WooCommerce 6.1.
* Facebook Marketing API v12.0 update.

= 1.1.5 =
* [Compatibility] WooCommerce 5.9.

= 1.1.4 =
* [Compatibility] Tested OK with WC 5.7.

= 1.1.3 =
* [Compatibility] Tested OK with WP 5.8.
* [Compatibility] Tested OK with WC 5.6.

= 1.1.2 =
* [Enhancement] Plugin name update.
* [Enhancement] Facebook marketing API v11 updated.
* [Compatibility] Tested OK with WooCommerce 5.5.

= 1.1.1 =
* Facebook marketing API v10 updated.
* Tested OK with WooCommerce 5.3.

= 1.1.0 =
* Plugin icon update.

= 1.0.9 =
* Plugin name update.

= 1.0.7 =
* Facebook marketing API v9 change updated.

= 1.0.6 =
* WC 5.0 tested OK

= 1.0.5 =
* Bug fix: Updating catalog IDs when multiple catalogs

= 1.0.4 =
* Tested OK with WC 4.9.2

= 1.0.3 =
* Tested OK with WP 5.6 and WC 4.8.

= 1.0.2 =
* Plugin name updated.

= 1.0.1 =
* Screenshots updated.

= 1.0.0 =
* Initial commit.